## advanced-backlight 0.8-1

=== Makefile ===
CC=gcc
CFLAGS=-Wall -shared `pkg-config gtk+-2.0 libosso hildon-1 libhildondesktop gconf-2.0 libglade-2.0 --libs --cflags` -std=c99 -lm

all:
	$(CC) $(CFLAGS) advanced-backlight.c -o advanced-backlight.so

clean:
	rm -f advanced-backlight.so

install:
	./install.sh

=== debian/changelog ===
advanced-backlight (0.8-1) unstable; urgency=low

  * New icons!

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 12 Feb 2008 00:56:51 -0600

=== debian/control ===
Source: advanced-backlight
Section: user/Utilities
Priority: extra
Maintainer: Adam Harwell <aharwell@trinity.edu>
Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: advanced-backlight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Replacement brightness applet that allows the full range (0-127).
 A backlight controlling applet that lets you break the limit of 5 levels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/advanced-backlight.sgml > advanced-backlight.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	mkdir -p debian/tmp/usr/lib/hildon-desktop
	cp advanced-backlight.so debian/tmp/usr/lib/hildon-desktop/
	mkdir -p debian/tmp/usr/share/applications/hildon-status-bar
	cp advanced-backlight.desktop debian/tmp/usr/share/applications/hildon-status-bar/
	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/apps
	cp -r adv-backlight-icons debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## advanced-backlight 0.9b-2

=== debian/changelog ===
advanced-backlight (0.9b-2) unstable; urgency=low

  * Added hardware button configuration options.
  * Added beep on volume change.
  * Added option for beep on volume change.

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 26 June 2008 17:23:41 -0600

=== debian/control ===
Source: advanced-backlight
Section: user/Utilities
Priority: extra
Maintainer: Adam Harwell <aharwell@trinity.edu>
Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev, libgtk2.0-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: advanced-backlight
Architecture: any
Depends: ${shlibs:Depends}
Description: Replacement brightness/volume applet that allows fine grain control.
 A backlight controlling applet that lets you set the full range of 127 levels
 of brightness, and also includes a volume slider. Combining the two applets
 saves valuable space in the status bar!

=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,9 @@
 	cp advanced-backlight.so debian/tmp/usr/lib/hildon-desktop/
 	mkdir -p debian/tmp/usr/share/applications/hildon-status-bar
 	cp advanced-backlight.desktop debian/tmp/usr/share/applications/hildon-status-bar/
-	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/apps
-	cp -r adv-backlight-icons debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight
+	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight
+	cp -r icons/adv-backlight-icons debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default
+	cp -r icons/adv-backlight-icons-lcars debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS

## advanced-backlight 0.9b-4

=== Makefile ===
CC=gcc
CFLAGS=-Wall -shared `pkg-config gtk+-2.0 hildon-1 libhildondesktop gconf-2.0 --libs --cflags` -D_POSIX_C_SOURCE=199309L -std=c99 -lm -pedantic

all:
	$(CC) $(CFLAGS) advanced-backlight.c -o advanced-backlight.so

clean:
	rm -f advanced-backlight.so

install:
	./install.sh

=== debian/changelog ===
advanced-backlight (0.9b-4) unstable; urgency=low

  * Added hardware button configuration options.
  * Added beep on volume change.
  * Added option for beep on volume change.
  * Fixed regression with control panel icon.

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 27 June 2008 03:44:59 -0600

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,8 @@
 	cp advanced-backlight.so debian/tmp/usr/lib/hildon-desktop/
 	mkdir -p debian/tmp/usr/share/applications/hildon-status-bar
 	cp advanced-backlight.desktop debian/tmp/usr/share/applications/hildon-status-bar/
+	mkdir -p debian/tmp/usr/share/icons/hicolor/26x26/hildon/
+	cp adv_backlight_list.png debian/tmp/usr/share/icons/hicolor/26x26/hildon/
 	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight
 	cp -r icons/adv-backlight-icons debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default
 	cp -r icons/adv-backlight-icons-lcars debian/tmp/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS

## advanced-backlight 0.9-2

=== Makefile ===
CC=gcc
CFLAGS=-Wall -shared `pkg-config gtk+-2.0 libosso hildon-1 libhildondesktop gconf-2.0 libglade-2.0 --libs --cflags` -std=c99 -lm -pedantic

all:
	$(CC) $(CFLAGS) advanced-backlight.c -o advanced-backlight.so

clean:
	rm -f advanced-backlight.so

install:
	./install.sh

=== debian/changelog ===
advanced-backlight (0.9-2) unstable; urgency=low

  * Added support for hardware buttons.
  * Added a configuration GUI.
  * Settings now persist across reboots.
  * Added support for icon sets.
  * Changed the applet list icon.
  * Changed the capitalization in the settings menu (GAN).

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 6 June 2008 17:29:37 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/Utilities
 Priority: extra
 Maintainer: Adam Harwell <aharwell@trinity.edu>
-Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev, libgtk2.0-dev, libgconf2-dev
+Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev
 Standards-Version: 3.7.2
 
 Package: advanced-backlight

## advanced-backlight 0.10-10

=== debian/changelog ===
advanced-backlight (0.10-10) unstable; urgency=low

  * Added jott to the Advanced Backlight team!
  * Added labels to the sliders.
  * Added rotation support.
  * Supercedes jott's rotate-sb-plugin.
  * Changed brightness slider to match the volume bar.
  * Changed the settings dialog to better match the rest of the platform.
  * Finally have a proper container for the applet. (thanks jott!)
  * Tap anywhere outside the applet to close it now.
  * "Settings..." is no longer a button, but a real menu entry.
  * Fixed crash when changing the volume for the first time (possibly).
  * Complete codebase overhaul (merged with jott's rotation applet).

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 09 July 2008 10:36:59 -0600

advanced-backlight (0.9c-2) unstable; urgency=low

  * Fixed menu container, thanks jott.

 -- Adam Harwell <aharwell@trinity.edu>  Tue, 08 July 2008 03:44:59 -0600

## advanced-backlight 0.11-2

=== debian/changelog ===
advanced-backlight (0.11-2) unstable; urgency=low

  * Fixed brightness slider (was stuck at max 1/2 brightness).

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 10 July 2008 02:16:21 -0600

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/advanced-backlight install
	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/26x26/hildon/
	cp adv_backlight_list.png debian/advanced-backlight/usr/share/icons/hicolor/26x26/hildon/
	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight
	cp -r icons/adv-backlight-icons debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default
	cp -r icons/adv-backlight-icons-lcars debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## advanced-backlight 0.11-5

=== debian/changelog ===
advanced-backlight (0.11-5) unstable; urgency=low

  * Fixed brightness slider (was stuck at max 1/2 brightness).
  * Fixed volume beep, it should now work more reliably.

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 10 July 2008 03:01:35 -0600

## advanced-backlight 0.11-7

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advanced-backlight
pkglibdir = $(libdir)/advanced-backlight
pkgincludedir = $(includedir)/advanced-backlight
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run autoconf
AUTOHEADER = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run autoheader
AUTOMAKE = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"advanced-backlight\" -DVERSION=\"0.10\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
DEPDIR = .deps
DESKTOP_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-desktop -I/usr/include/libhildonwm -I/usr/include/libhildondesktop -I/usr/include/hildon-1 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
DESKTOP_LIBS = -lhildonwm -lhildondesktop -lhildon-1 -lX11 -lXtst -lgconf-2 -lgtk-x11-2.0 -lxml2 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-1 -lgobject-2.0 -lglib-2.0  
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = advanced-backlight
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.10
XRANDR_CFLAGS =  
XRANDR_LIBS = -lXrandr  
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /scratchbox/tools/bin/pkg-config
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/aharwell/adv-backlight/adv-backlight/trunk/merge/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
MAINTAINERCLEANFILES = \
	Makefile.in


libsbdir = $(libdir)/hildon-desktop
datsbdir = $(datadir)/applications/hildon-status-bar
libsb_LTLIBRARIES = advanced-backlight.la
datsb_DATA = advanced-backlight.desktop

advanced_backlight_la_SOURCES = \
	advanced-backlight.c advanced-backlight.h


advanced_backlight_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(XRANDR_CFLAGS)
advanced_backlight_la_LDFLAGS = -module -avoid-version
advanced_backlight_la_LIBADD = $(GTK_LIBS) $(OSSO_LIBS) $(DESKTOP_LIBS) $(XRANDR_LIBS)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(libsb_LTLIBRARIES)

advanced_backlight_la_DEPENDENCIES =
am_advanced_backlight_la_OBJECTS = \
	advanced_backlight_la-advanced-backlight.lo
advanced_backlight_la_OBJECTS = $(am_advanced_backlight_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = \
	./$(DEPDIR)/advanced_backlight_la-advanced-backlight.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(advanced_backlight_la_SOURCES)
DATA = $(datsb_DATA)

DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
	aclocal.m4 compile config.guess config.sub configure \
	configure.ac depcomp install-sh ltmain.sh missing mkinstalldirs
SOURCES = $(advanced_backlight_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
libsbLTLIBRARIES_INSTALL = $(INSTALL)
install-libsbLTLIBRARIES: $(libsb_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libsbdir)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libsbLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libsbdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libsbLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libsbdir)/$$f; \
	  else :; fi; \
	done

uninstall-libsbLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libsbdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libsbdir)/$$p; \
	done

clean-libsbLTLIBRARIES:
	-test -z "$(libsb_LTLIBRARIES)" || rm -f $(libsb_LTLIBRARIES)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
advanced-backlight.la: $(advanced_backlight_la_OBJECTS) $(advanced_backlight_la_DEPENDENCIES) 
	$(LINK) -rpath $(libsbdir) $(advanced_backlight_la_LDFLAGS) $(advanced_backlight_la_OBJECTS) $(advanced_backlight_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/advanced_backlight_la-advanced-backlight.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

advanced_backlight_la-advanced-backlight.o: advanced-backlight.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(advanced_backlight_la_CFLAGS) $(CFLAGS) -MT advanced_backlight_la-advanced-backlight.o -MD -MP -MF "$(DEPDIR)/advanced_backlight_la-advanced-backlight.Tpo" \
	  -c -o advanced_backlight_la-advanced-backlight.o `test -f 'advanced-backlight.c' || echo '$(srcdir)/'`advanced-backlight.c; \
	then mv -f "$(DEPDIR)/advanced_backlight_la-advanced-backlight.Tpo" "$(DEPDIR)/advanced_backlight_la-advanced-backlight.Po"; \
	else rm -f "$(DEPDIR)/advanced_backlight_la-advanced-backlight.Tpo"; exit 1; \
	fi
#	source='advanced-backlight.c' object='advanced_backlight_la-advanced-backlight.o' libtool=no \
#	depfile='$(DEPDIR)/advanced_backlight_la-advanced-backlight.Po' tmpdepfile='$(DEPDIR)/advanced_backlight_la-advanced-backlight.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(advanced_backlight_la_CFLAGS) $(CFLAGS) -c -o advanced_backlight_la-advanced-backlight.o `test -f 'advanced-backlight.c' || echo '$(srcdir)/'`advanced-backlight.c

advanced_backlight_la-advanced-backlight.obj: advanced-backlight.c

=== debian/changelog ===
advanced-backlight (0.11-7) unstable; urgency=low

  * Fixed brightness slider (was stuck at max 1/2 brightness).
  * Fixed volume beep, it should now work more reliably.
  * Improved rotation icons to function more logically.

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 10 July 2008 03:01:35 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/Utilities
 Priority: extra
 Maintainer: Adam Harwell <aharwell@trinity.edu>
-Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev
+Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev, libgtk2.0-dev, libgconf2-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev, x11proto-randr-dev, libxrandr-dev
 Standards-Version: 3.7.2
 
 Package: advanced-backlight

## advanced-backlight 0.12-3

=== debian/changelog ===
advanced-backlight (0.12-3) unstable; urgency=low

  * Switching directly to maximum brightness will now work correctly.
  * Muted icon will display correctly when mute is set with volume 0.
  * Now using threaded volume/brightness updates, patch by daperl.
  * Added a new iconset, "Hildon". Thanks, qos!
  * Now (again) supports 770 with fanoush kernel for backlight updates.

 -- Adam Harwell <aharwell@trinity.edu>  Sun, 13 July 2008 03:00:54 -0600

## advanced-backlight 0.12-4

=== debian/changelog ===
advanced-backlight (0.12-4) unstable; urgency=low

  * Switching directly to maximum brightness will now work correctly.
  * Muted icon will display correctly when mute is set with volume 0.
  * Now using threaded volume/brightness updates, patch by daperl.
  * Added a new iconset, "Hildon". Thanks, qos!
  * Now (again) supports 770 with fanoush kernel for backlight updates.

 -- Adam Harwell <aharwell@trinity.edu>  Sun, 13 July 2008 03:00:54 -0600

## advanced-backlight 0.12-6

=== Makefile ===
--- 
+++ 
@@ -36,14 +36,14 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 host_triplet = arm-unknown-linux-gnu
-ACLOCAL = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run aclocal-1.7
+ACLOCAL = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run tar
+AMTAR = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run automake-1.7
+AUTOCONF = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run automake-1.7
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -55,7 +55,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"advanced-backlight\" -DVERSION=\"0.10\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"advanced-backlight\" -DVERSION=\"0.12\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
 DEPDIR = .deps
 DESKTOP_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-desktop -I/usr/include/libhildonwm -I/usr/include/libhildondesktop -I/usr/include/hildon-1 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
 DESKTOP_LIBS = -lhildonwm -lhildondesktop -lhildon-1 -lX11 -lXtst -lgconf-2 -lgtk-x11-2.0 -lxml2 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-1 -lgobject-2.0 -lglib-2.0  
@@ -67,6 +67,8 @@
 EXEEXT = 
 F77 = 
 FFLAGS = 
+GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
+GTHREAD_LIBS = -pthread -lgthread-2.0 -lrt -lglib-2.0  
 GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 INSTALL_DATA = ${INSTALL} -m 644
@@ -79,7 +81,7 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/merge/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/missing --run makeinfo
 OBJEXT = o
 OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
 OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
@@ -95,7 +97,7 @@
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
-VERSION = 0.10
+VERSION = 0.12
 XRANDR_CFLAGS =  
 XRANDR_LIBS = -lXrandr  
 ac_ct_AR = ar
@@ -127,7 +129,7 @@
 host_vendor = unknown
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/aharwell/adv-backlight/adv-backlight/trunk/merge/install-sh
+install_sh = /home/aharwell/adv-backlight/adv-backlight/trunk/adv-backlight/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var
@@ -152,9 +154,9 @@
 	advanced-backlight.c advanced-backlight.h
 
 
-advanced_backlight_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(XRANDR_CFLAGS)
+advanced_backlight_la_CFLAGS = $(GTHREAD_CFLAGS) $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(XRANDR_CFLAGS)
 advanced_backlight_la_LDFLAGS = -module -avoid-version
-advanced_backlight_la_LIBADD = $(GTK_LIBS) $(OSSO_LIBS) $(DESKTOP_LIBS) $(XRANDR_LIBS)
+advanced_backlight_la_LIBADD = $(GTHREAD_LIBS) $(GTK_LIBS) $(OSSO_LIBS) $(DESKTOP_LIBS) $(XRANDR_LIBS)
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
@@ -287,6 +289,3 @@
 #	source='advanced-backlight.c' object='advanced_backlight_la-advanced-backlight.o' libtool=no \
 #	depfile='$(DEPDIR)/advanced_backlight_la-advanced-backlight.Po' tmpdepfile='$(DEPDIR)/advanced_backlight_la-advanced-backlight.TPo' \
 #	$(CCDEPMODE) $(depcomp) \
-#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(advanced_backlight_la_CFLAGS) $(CFLAGS) -c -o advanced_backlight_la-advanced-backlight.o `test -f 'advanced-backlight.c' || echo '$(srcdir)/'`advanced-backlight.c
-
-advanced_backlight_la-advanced-backlight.obj: advanced-backlight.c

=== debian/changelog ===
advanced-backlight (0.12-6) unstable; urgency=low

  * Switching directly to maximum brightness will now work correctly.
  * Muted icon will display correctly when mute is set with volume 0.
  * Now using threaded volume/brightness updates, patch by daperl.
  * Using delayed brightness updates also improves smoothness.
  * Added a new iconset, "Hildon". Thanks, qos!
  * Now (again) supports 770 with fanoush kernel for backlight updates.

 -- Adam Harwell <aharwell@trinity.edu>  Sun, 13 July 2008 12:58:54 -0600

=== debian/control ===
--- 
+++ 
@@ -12,3 +12,33 @@
  A backlight controlling applet that lets you set the full range of 127 levels
  of brightness, and also includes a volume slider. Combining the two applets
  saves valuable space in the status bar!
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAAK/I
+ NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAASj
+ SURBVHjalJZtTFtlFMefe3vLW1HmSlG3IHFOSOsQjWjUVjpcFjVBNoNRkkVw
+ MyYGJZkvUT4YY6YmUxOjfjIzGsPiW8yiIi5myrYiGFj8glMSwG1g6xQ67Bgt
+ Qml7/Z/r/2rXlKE3+aX3Pr3Pc855zv+c52rqv106KJIbh8MRaG9vT3Z2dh5N
+ JBLKNE1VVlamOjo61MjIiCoqKsq7gLGKgTLgBX+CZfn1eDx7DMOIw8BReaG0
+ tFQNDAyo8fFxVVBQcEFP810OUA5uBa+DFlAojmUyGc2UMGSyrqvFxUXV29ur
+ 4vG49fx/DF0CrgLrQALMgUZwEUjzHc3aDsNQY2NjKhQKWZFx/BmwN3e3cg1d
+ DJ4GT/L+D3AEXAGuzTJkXZKP7u5upWmaYpBV4AEae2wlQ7JdFfTqbrCLxobB
+ GdAASkDGzs3g4KAlgEJcGHocbAWvgDh4HtTlMyRbVgwOgPdBE3iIQjgMbqTH
+ GeTCXFpaUj09PVaO8LyOUbwApsEbFNKzuYbWgi1gPVgEH4H3wJ1gJ/iJ47fJ
+ HOTGHB0dlYj0kpKS3Ri7C7zEHekEX3HOveAme7vkup4JbKAns+AYSIL7uF0S
+ 2QaXy3VpfX39mf7+/g8mJiY2QNLvYtwP3qYyt4EQ+B1sBktg0kFj9uIeEGR0
+ Iu/jHL8DSJF4UJxVbrf71PT0tHNmZsaH6I7Rc3HqUxqSmvsGbAduEZWDCZak
+ R8B34AdGGaDRNBepAWvKy8uL5+fnZ6empjZDbUGwD+NXsuY+BNV8PkilCgnJ
+ kZPeiu5T4EewjzL/mNFW8r1iSX5tbe2U1+t9LZlMyoLXcavWMsdj4HLm/wSd
+ Xm9Qzvcw0SbJEJNOrAEumZFOp1VFRYUJg4dSqdQylC3F/T1zIUX9K3fIrsO/
+ m8gKHUPLureN/vunptmK1fmfnjVHp4PnlY/BQUni55yUokAuAzczT+dYY4VO
+ p1NHfoxIJNKCewe36moq7iy4gW1rjkKwNsKgQpa5eAGT7qcBEcrP4DQLOgM5
+ u9DfKqG6h2FolPUibec3vufj9pl0QH4nDRaizsVvZ9tIU4FDYBNb0knpPMhN
+ VWNjYzQcDu8ZGhpyo981sCjfZHlITe7n+eWluEIGF5XW+wi37Us20tMUidTI
+ IaqqVMSAOnLEYrGDuK9kbzvJ1rWbufoa3EKlSpfos1v5ODvDWdaTbOH9YAfo
+ BYOgC3wm27mwsGC0traqvr6+MJ6f4uIBOvYJnXyRKZG+ecJWxSy9iDDkVvAg
+ vZEWcw3z9a3kCbLWfD6f8vv9CkZloQFG8wt4iwY30shIbveOsZ+1ZEXyDg1s
+ Ya1Myhw5ZeVkaG5uts4kPEd4THQxL4+y1+3Nd0xIrqK8/4KRnGOiPaz+hD1H
+ jm6JqK6uTuHISNF7ibiDW99F6ef9OBHtv8x2X5h1fITZA897X9pRW1ubGh4e
+ tk/ZSNZZtH+1b4ZYVu242EqOMDr7WLEqH7lSNTU1KhgMWhHykj75am43WakF
+ pXl8Sy09QelKL0vJ6aqxByE3Vo6ampqso12eV7pW+66bo7F/PiCj0ehziCRJ
+ W1YkgUBAVVdXX/AD8i8BBgB9nZm6XzXWlgAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -59,9 +59,12 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/advanced-backlight install
 	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/26x26/hildon/
 	cp adv_backlight_list.png debian/advanced-backlight/usr/share/icons/hicolor/26x26/hildon/
-	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight
-	cp -r icons/adv-backlight-icons debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default
-	cp -r icons/adv-backlight-icons-lcars debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS
+	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default
+	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS
+	mkdir -p debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Hildon
+	cp -r icons/adv-backlight-icons/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default/
+	cp -r icons/adv-backlight-icons-lcars/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS/
+	cp -r icons/adv-backlight-icons-hildon/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Hildon/
 
 
 # Build architecture-independent files here.

## advanced-backlight 0.13-1

=== debian/changelog ===
advanced-backlight (0.13-1) unstable; urgency=low

  * Initial volume should be correct now.
  * Added GConf notification on volume change.
  * I18n support.
  * Added translations for: de es fi fr nl pl ru se. Thanks to all translators!
  * New approach for beep on volume change.

 -- Jonas Hurrelmann <j@outpo.st>  Mon, 14 July 2008 14:43:23 +0200

## advanced-backlight 0.13-5

=== debian/changelog ===
advanced-backlight (0.13-5) unstable; urgency=low

  * Yet another approach to beep on volume change (daperl).
  * Now (again) supports 770 with fanoush kernel for backlight updates.
  * Fixed mute at zero volume bug.
  * Updated appearance of default iconset.

 -- Adam Harwell <aharwell@trinity.edu>  Wed, 16 July 2008 12:58:54 -0600

=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,9 @@
 	cp -r icons/adv-backlight-icons/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Default/
 	cp -r icons/adv-backlight-icons-lcars/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/LCARS/
 	cp -r icons/adv-backlight-icons-hildon/*.png debian/advanced-backlight/usr/share/icons/hicolor/40x40/apps/adv-backlight/Hildon/
+	mkdir -p debian/etc/init.d/
+	cp brightness-permission debian/etc/init.d/
+
 
 
 # Build architecture-independent files here.

## advanced-backlight 0.13-7

=== debian/changelog ===
advanced-backlight (0.13-7) unstable; urgency=low

  * Yet another approach to beep on volume change (daperl).
  * Now (again) supports 770 with fanoush kernel for backlight updates.
  * Fixed mute at zero volume bug.
  * Updated appearance of default iconset.

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 17 July 2008 01:29:21 -0600

## advanced-backlight 0.14-1

=== debian/changelog ===
advanced-backlight (0.14-1) unstable; urgency=low

  * Changed icon format.
  * Now (again) supports 770 with fanoush kernel for backlight updates.

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 17 July 2008 01:29:21 -0600

## advanced-backlight 0.14-2

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = advanced-backlight
PACKAGE = advanced-backlight
VERSION = 0.12

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datarootdir = @datarootdir@
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT_OPTS = -c
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = msgmerge

DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"advanced-backlight\" -DVERSION=\"0.12\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DGETTEXT_PACKAGE=\"advanced-backlight\" 
CFLAGS = -Wall -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES =  de.po es.po fi.po fr.po nl.po pl.po ru.po se.po
GMOFILES =  de.gmo es.gmo fi.gmo fr.gmo nl.gmo pl.gmo ru.gmo se.gmo
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../advanced-backlight.c

CATALOGS =  de.gmo es.gmo fi.gmo fr.gmo nl.gmo pl.gmo ru.gmo se.gmo
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) $(MSGFMT_OPTS) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(GETTEXT_PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
          --flag=g_strdup_printf:1:c-format \
          --flag=g_string_printf:2:c-format \
          --flag=g_string_append_printf:2:c-format \
          --flag=g_error_new:3:c-format \
          --flag=g_set_error:4:c-format \
          --flag=g_markup_printf_escaped:1:c-format \
          --flag=g_log:3:c-format \
          --flag=g_print:1:c-format \
          --flag=g_printerr:1:c-format \
          --flag=g_printf:1:c-format \
          --flag=g_fprintf:2:c-format \
          --flag=g_sprintf:2:c-format \
          --flag=g_snprintf:3:c-format \
          --flag=g_scanner_error:2:c-format \
          --flag=g_scanner_warn:2:c-format \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(GETTEXT_PACKAGE).po \
	   || ( rm -f $(srcdir)/$(GETTEXT_PACKAGE).pot \
		&& mv $(GETTEXT_PACKAGE).po $(srcdir)/$(GETTEXT_PACKAGE).pot )

install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  rm -f $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	fi

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.po $(GETTEXT_PACKAGE).pot -o $$tmpdir/$$lang.new.po; then \
	    if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
advanced-backlight (0.14-2) unstable; urgency=low

  * Changed icon format.
  * Now (again) supports 770 with fanoush kernel for backlight updates.

 -- Adam Harwell <aharwell@trinity.edu>  Thu, 17 July 2008 01:29:21 -0600
